org.eclipse.actf.util.dom

## Class EmptyNodeListImpl

- java.lang.Object
- - org.eclipse.actf.util.dom.EmptyNodeListImpl

All Implemented Interfaces:
  NodeList

    public class EmptyNodeListImpl
    extends Object
    implements NodeList

Utility class working as an empty NodeList

### Constructor Summary

Constructors
Constructor and Description
`EmptyNodeListImpl()`

### Method Summary

Methods
`static NodeList` `getInstance()` Return an empty NodeList instance
`int` `getLength()`
`Node` `item(int index)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyNodeListImpl

    public EmptyNodeListImpl()

### Method Detail

#### getInstance

    public static NodeList getInstance()

Return an empty NodeList instance

Returns:
  empty NodeList

#### item

    public Node item(int index)

Specified by:
  `item` in interface `NodeList`

#### getLength

    public int getLength()

Specified by:
  `getLength` in interface `NodeList`